import { Construct } from 'constructs';
/**
 * (experimental) slack event notify interface.
 *
 * @experimental
 */
export interface ISlackEventNotify {
    /**
     * (experimental) slack Webhook Url for Lambda send message to slack.
     *
     * @experimental
     */
    readonly slackWebhookUrl: string;
    /**
     * (experimental) slack Channel Name for Lambda send message to slack.
     *
     * @experimental
     */
    readonly slackChannelName: string;
}
/**
 * (experimental) event notify interface.
 *
 * @experimental
 */
export interface EventNotifyProps {
    /**
     * (experimental) Line Notify Token for Lambda send notify permisson.
     *
     * @default - none
     * @experimental
     */
    readonly lineNotifyToken?: string | undefined;
    /**
     * (experimental) Notify target to Slack channel.
     *
     * @default - none
     * @experimental
     */
    readonly slack?: ISlackEventNotify;
}
/**
 * (experimental) Event Notfiy Construct Class.
 *
 * @experimental
 */
export declare class EventNotify extends Construct {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props?: EventNotifyProps);
}
